summaryrefslogtreecommitdiffstats
path: root/games
diff options
context:
space:
mode:
author Giovanne Castro2010-08-26 02:56:47 +0200
committer Erik Hanson2010-08-29 22:32:12 +0200
commit8b897e051cabec53288d3bd4d8a908228354b3fd (patch)
tree524e369cefb3eb3c636d103b4d42639c4a051831 /games
parenteaf7f4d9be4a34e87b1b06f821a64f345098ea2e (diff)
downloadslackbuilds-8b897e051cabec53288d3bd4d8a908228354b3fd.tar.gz
games/playonlinux: Updated for version 3.7.7.
Signed-off-by: dsomero <xgizzmo@slackbuilds.org>
Diffstat (limited to 'games')
-rw-r--r--games/playonlinux/README4
-rw-r--r--games/playonlinux/playonlinux.SlackBuild62
-rw-r--r--games/playonlinux/playonlinux.info8
-rw-r--r--games/playonlinux/slack-desc2
4 files changed, 40 insertions, 36 deletions
diff --git a/games/playonlinux/README b/games/playonlinux/README
index 5efab7c3aa..d9adf037d1 100644
--- a/games/playonlinux/README
+++ b/games/playonlinux/README
@@ -2,7 +2,7 @@ PlayOnLinux is a piece of sofware which allows you to easily install
and use numerous games and softwares designed to run with Microsoft®'s
Windows®. Few games are compatible with GNU/Linux at the moment and it
certainly is a factor preventing the migration to this system.
-Playonlinux brings an accessible and efficient solution to this problem,
+PlayOnLinux brings an accessible and efficient solution to this problem,
cost-free and rescpetful of the free softwares.
-This requires wxPython, wine and cabextract. \ No newline at end of file
+This requires wxPython, wine and cabextract.
diff --git a/games/playonlinux/playonlinux.SlackBuild b/games/playonlinux/playonlinux.SlackBuild
index a1ecfddcc2..abc3645326 100644
--- a/games/playonlinux/playonlinux.SlackBuild
+++ b/games/playonlinux/playonlinux.SlackBuild
@@ -1,44 +1,41 @@
#!/bin/sh
-# SlackBuild for PlayOnLinux - Slackware 13.1
-# http://www.playonlinux.com/
-# Written by Giovanne Castro <giovannefc@terra.com.br>
+# Slackware build script for PlayOnLinux
+
+# Copyright 2010 by Giovanne Castro, Campinas, Sao Paulo, Brazil <giovannefc@ig.com.br>
+# All rights reserved.
+#
+# Redistribution and use of this script, with or without modification, is
+# permitted provided that the following conditions are met:
+#
+# 1. Redistributions of this script must retain the above copyright
+# notice, this list of conditions and the following disclaimer.
+#
+# THIS SOFTWARE IS PROVIDED BY THE AUTHOR ''AS IS'' AND ANY EXPRESS OR IMPLIED
+# WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF
+# MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO
+# EVENT SHALL THE AUTHOR BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
+# SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO,
+# PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS;
+# OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY,
+# WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR
+# OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF
+# ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
PRGNAM=playonlinux
-PKGNAM=
-VERSION=${VERSION:-3.7.6}
-ARCH=${ARCH:-noarch}
+VERSION=${VERSION:-3.7.7}
BUILD=${BUILD:-1}
TAG=${TAG:-_SBo}
-if [ -z "$ARCH" ]; then
- case "$( uname -m )" in
- i?86) ARCH=i486 ;;
- arm*) ARCH=arm ;;
- *) ARCH=$( uname -m ) ;;
- esac
-fi
+# No flags/configure needed because it is writen in python programing language.
+ARCH=noarch
CWD=$(pwd)
TMP=${TMP:-/tmp/SBo}
PKG=$TMP/package-$PRGNAM
OUTPUT=${OUTPUT:-/tmp}
-if [ "$ARCH" = "i486" ]; then
- SLKCFLAGS="-O2 -march=i486 -mtune=i686"
- LIBDIRSUFFIX=""
-elif [ "$ARCH" = "i686" ]; then
- SLKCFLAGS="-O2 -march=i686 -mtune=i686"
- LIBDIRSUFFIX=""
-elif [ "$ARCH" = "x86_64" ]; then
- SLKCFLAGS="-O2 -fPIC"
- LIBDIRSUFFIX="64"
-else
- SLKCFLAGS="-O2"
- LIBDIRSUFFIX=""
-fi
-
-set -e
+set -e # Exit on most errors
rm -rf $PKG
mkdir -p $TMP $PKG $OUTPUT
@@ -53,22 +50,29 @@ find . \
\( -perm 666 -o -perm 664 -o -perm 600 -o -perm 444 -o -perm 440 -o -perm 400 \) \
-exec chmod 644 {} \;
+# Delete obsolete backup files
find . -name '*~*' -exec rm -rf {} \;
+
+# Copy libraries program
mkdir -p $PKG/usr/share/$PRGNAM
-cp -r * $PKG/usr/share/$PRGNAM
+cp -a * $PKG/usr/share/$PRGNAM
+# Copy desktop entries
mkdir -p $PKG/usr/share/applications
cat $CWD/PlayOnLinux.desktop > \
$PKG/usr/share/applications/PlayOnLinux.desktop
+# Copy icon
mkdir -p $PKG/usr/share/pixmaps
cp -a $PKG/usr/share/$PRGNAM/etc/playonlinux.png $PKG/usr/share/pixmaps/
+# Creates executable entry
mkdir -p $PKG/usr/bin
echo "#!/bin/bash" > $PKG/usr/bin/$PRGNAM
echo "/usr/share/$PRGNAM/$PRGNAM \"\$@\"" >> $PKG/usr/bin/$PRGNAM
chmod +x $PKG/usr/bin/$PRGNAM
+# Copy documentation
mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION
cp -a \
LICENCE CHANGELOG \
diff --git a/games/playonlinux/playonlinux.info b/games/playonlinux/playonlinux.info
index 63a1517c08..9f59f8b646 100644
--- a/games/playonlinux/playonlinux.info
+++ b/games/playonlinux/playonlinux.info
@@ -1,10 +1,10 @@
PRGNAM="playonlinux"
-VERSION="3.7.6"
+VERSION="3.7.7"
HOMEPAGE="http://www.playonlinux.com/"
-DOWNLOAD="http://www.playonlinux.com/script_files/PlayOnLinux/3.7.6/PlayOnLinux_3.7.6.tar.gz"
-MD5SUM="b350b61fd2bc382f210cd56ab141ba0a"
+DOWNLOAD="http://www.playonlinux.com/script_files/PlayOnLinux/3.7.7/PlayOnLinux_3.7.7.tar.gz"
+MD5SUM="264499aea575ecdc9c7d20eb47ddc771"
DOWNLOAD_x86_64=""
MD5SUM_x86_64=""
MAINTAINER="Giovanne Castro"
-EMAIL="giovannefc@terra.com.br"
+EMAIL="giovannefc@ig.com.br"
APPROVED="dsomero"
diff --git a/games/playonlinux/slack-desc b/games/playonlinux/slack-desc
index 607fa87942..4e3d5ebfac 100644
--- a/games/playonlinux/slack-desc
+++ b/games/playonlinux/slack-desc
@@ -12,7 +12,7 @@ playonlinux: PlayOnLinux is a piece of sofware which allows you to easily instal
playonlinux: and use numerous games and softwares designed to run with Microsoft's
playonlinux: Windows. Few games are compatible with GNU/Linux at the moment and it
playonlinux: certainly is a factor preventing the migration to this system.
-playonlinux: playonlinux brings an accessible and efficient solution to this
+playonlinux: PlayOnLinux brings an accessible and efficient solution to this
playonlinux: problem, cost-free and rescpetful of the free softwares.
playonlinux:
playonlinux: Homepage: http://www.playonlinux.com/